XOSD_SET_BAR_LENGTH(3)

NAME
xosd_set_bar_length - Change the length of the percentage bar or slider

SYNOPSIS

#include <xosd.h>

int xosd_set_bar_length (xosd *osd, int displayPercentage);

DESCRIPTION

xosd_set_bar_length changes the percentage of the display used by a slider or percentage bar. Normally the XOSD choses a sensible length for the bar, but you may wish to change the default behavior if there are only a small number of possible values to be displayed.

ARGUMENTS

osd The XOSD window to alter.

displayPercentage
    The percentage of the display to be used up by the slider or percentage bar, as an interger between 0 and 100. Setting displayPercentage to -1 reverts to the default behaviour.

RETURN VALUE

On success, a zero is returned. On error, -1 is returned and xosd_error is set to indicate the reason for the error.

ENVIRONMENT

char *xosd_error
    A string describing the error, if one occurred.

BUGS

There are no known bugs with xosd_set_bar_length. Bug reports can be sent to <xosd@ignavus.net>.

AUTHORS

The XOSD library was originally written by André Renaud, and is currently maintained by Tim Wright. This document was written by Michael JasonSmith.

SEE ALSO

 xosd_create(3), xosd_display(3).